# Class Fluxes

java.lang.Object
uk.ac.starlink.ttools.func.Fluxes

public class Fluxes extends Object
Functions for conversion between flux and magnitude values. Functions are provided for conversion between flux in Janskys and AB magnitudes.

Some constants for approximate conversions between different magnitude scales are also provided:

- Constants `JOHNSON_AB_*`, for Johnson <-> AB magnitude conversions, from Frei and Gunn, Astronomical Journal 108, 1476 (1994), Table 2 (1994AJ....108.1476F).
- Constants `VEGA_AB_*`, for Vega <-> AB magnitude conversions, from Blanton et al., Astronomical Journal 129, 2562 (2005), Eqs. (5) (2005AJ....129.2562B).

Since:
  30 Jun 2006
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`JOHNSON_AB_B`
Approximate offset between Johnson and AB magnitudes in B band.
`static final double`
`JOHNSON_AB_Bj`
Approximate offset between Johnson and AB magnitudes in Bj band.
`static final double`
`JOHNSON_AB_g`
Approximate offset between Johnson and AB magnitudes in g band.
`static final double`
`JOHNSON_AB_gPrime`
Offset between Johnson and AB magnitudes in g' band (zero).
`static final double`
`JOHNSON_AB_i`
Approximate offset between Johnson and AB magnitudes in i band.
`static final double`
`JOHNSON_AB_I`
Approximate offset between Johnson and AB magnitudes in I band.
`static final double`
`JOHNSON_AB_Ic`
Approximate offset between Johnson and AB magnitudes in Ic band.
`static final double`
`JOHNSON_AB_iPrime`
Offset between Johnson and AB magnitudes in i' band (zero).
`static final double`
`JOHNSON_AB_r`
Approximate offset between Johnson and AB magnitudes in r band.
`static final double`
`JOHNSON_AB_R`
Approximate offset between Johnson and AB magnitudes in R band.
`static final double`
`JOHNSON_AB_Rc`
Approximate offset between Johnson and AB magnitudes in Rc band.
`static final double`
`JOHNSON_AB_rPrime`
Offset between Johnson and AB magnitudes in r' band (zero).
`static final double`
`JOHNSON_AB_uPrime`
Offset between Johnson and AB magnitudes in u' band (zero).
`static final double`
`JOHNSON_AB_V`
Approximate offset between Johnson and AB magnitudes in V band.
`static final double`
`JOHNSON_AB_zPrime`
Offset between Johnson and AB magnitudes in z' band (zero).
`static final double`
`VEGA_AB_H`
Approximate offset between Vega (as in 2MASS) and AB magnitudes in H band.
`static final double`
`VEGA_AB_J`
Approximate offset between Vega (as in 2MASS) and AB magnitudes in J band.
`static final double`
`VEGA_AB_K`
Approximate offset between Vega (as in 2MASS) and AB magnitudes in K band.

## Method Summary

Modifier and Type
Method
Description
`static double`
`abToJansky(double magAB)`
Converts AB magnitude to flux in Jansky.
`static double`
`fluxToLuminosity(double flux, double dist)`
Converts flux to luminosity given a luminosity distance.
`static double`
`janskyToAb(double fluxJansky)`
Converts flux in Jansky to AB magnitude.
`static double`
`luminosityToFlux(double lumin, double dist)`
Converts luminosity to flux given a luminosity distance.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JOHNSON_AB_V

public static final double JOHNSON_AB_V
Approximate offset between Johnson and AB magnitudes in V band. VJ~=VAB+`JOHNSON_AB_V`.

See Also:
  - Constant Field Values

### JOHNSON_AB_B

public static final double JOHNSON_AB_B
Approximate offset between Johnson and AB magnitudes in B band. BJ~=BAB+`JOHNSON_AB_B`.

See Also:
  - Constant Field Values

### JOHNSON_AB_Bj

public static final double JOHNSON_AB_Bj
Approximate offset between Johnson and AB magnitudes in Bj band. BjJ~=BjAB+`JOHNSON_AB_Bj`.

See Also:
  - Constant Field Values

### JOHNSON_AB_R

public static final double JOHNSON_AB_R
Approximate offset between Johnson and AB magnitudes in R band. RJ~=RAB+`JOHNSON_AB_R`.

See Also:
  - Constant Field Values

### JOHNSON_AB_I

public static final double JOHNSON_AB_I
Approximate offset between Johnson and AB magnitudes in I band. IJ~=IAB+`JOHNSON_AB_I`.

See Also:
  - Constant Field Values

### JOHNSON_AB_g

public static final double JOHNSON_AB_g
Approximate offset between Johnson and AB magnitudes in g band. gJ~=gAB+`JOHNSON_AB_g`.

See Also:
  - Constant Field Values

### JOHNSON_AB_r

public static final double JOHNSON_AB_r
Approximate offset between Johnson and AB magnitudes in r band. rJ~=rAB+`JOHNSON_AB_r`.

See Also:
  - Constant Field Values

### JOHNSON_AB_i

public static final double JOHNSON_AB_i
Approximate offset between Johnson and AB magnitudes in i band. iJ~=iAB+`JOHNSON_AB_i`.

See Also:
  - Constant Field Values

### JOHNSON_AB_Rc

public static final double JOHNSON_AB_Rc
Approximate offset between Johnson and AB magnitudes in Rc band. RcJ~=RcAB+`JOHNSON_AB_Rc`.

See Also:
  - Constant Field Values

### JOHNSON_AB_Ic

public static final double JOHNSON_AB_Ic
Approximate offset between Johnson and AB magnitudes in Ic band. IcJ~=IcAB+`JOHNSON_AB_Ic`.

See Also:
  - Constant Field Values

### JOHNSON_AB_uPrime

public static final double JOHNSON_AB_uPrime
Offset between Johnson and AB magnitudes in u' band (zero). u'J=u'AB+`JOHNSON_AB_uPrime`=u'AB.

See Also:
  - Constant Field Values

### JOHNSON_AB_gPrime

public static final double JOHNSON_AB_gPrime
Offset between Johnson and AB magnitudes in g' band (zero). g'J=g'AB+`JOHNSON_AB_gPrime`=g'AB.

See Also:
  - Constant Field Values

### JOHNSON_AB_rPrime

public static final double JOHNSON_AB_rPrime
Offset between Johnson and AB magnitudes in r' band (zero). r'J=r'AB+`JOHNSON_AB_rPrime`=r'AB.

See Also:
  - Constant Field Values

### JOHNSON_AB_iPrime

public static final double JOHNSON_AB_iPrime
Offset between Johnson and AB magnitudes in i' band (zero). i'J=i'AB+`JOHNSON_AB_iPrime`=i'AB.

See Also:
  - Constant Field Values

### JOHNSON_AB_zPrime

public static final double JOHNSON_AB_zPrime
Offset between Johnson and AB magnitudes in z' band (zero). z'J=z'AB+`JOHNSON_AB_zPrime`=z'AB.

See Also:
  - Constant Field Values

### VEGA_AB_J

public static final double VEGA_AB_J
Approximate offset between Vega (as in 2MASS) and AB magnitudes in J band. JVega~=JAB+`VEGA_AB_J`.

See Also:
  - Constant Field Values

### VEGA_AB_H

public static final double VEGA_AB_H
Approximate offset between Vega (as in 2MASS) and AB magnitudes in H band. HVega~=HAB+`VEGA_AB_H`.

See Also:
  - Constant Field Values

### VEGA_AB_K

public static final double VEGA_AB_K
Approximate offset between Vega (as in 2MASS) and AB magnitudes in K band. KVega~=KAB+`VEGA_AB_K`.

See Also:
  - Constant Field Values

## Method Details

### abToJansky

public static double abToJansky(double magAB)
Converts AB magnitude to flux in Jansky.

F/Jy=10(23-(AB+48.6)/2.5)

Parameters:
  `magAB` - AB magnitude value
Returns:
  equivalent flux in Jansky

### janskyToAb

public static double janskyToAb(double fluxJansky)
Converts flux in Jansky to AB magnitude.

AB=2.5*(23-log10(F/Jy))-48.6

Parameters:
  `fluxJansky` - flux in Jansky
Returns:
  equivalent AB magnitude

### luminosityToFlux

public static double luminosityToFlux(double lumin, double dist)
Converts luminosity to flux given a luminosity distance.

F=lumin/(4 x Pi x dist2)

Parameters:
  `lumin` - luminosity
  `dist` - luminosity distance
Returns:
  equivalent flux

### fluxToLuminosity

public static double fluxToLuminosity(double flux, double dist)
Converts flux to luminosity given a luminosity distance.

lumin=(4 x Pi x dist2) F

Parameters:
  `flux` - flux
  `dist` - luminosity distance
Returns:
  equivalent luminosity